


class HostListConfigLoader:
    """
    read a list of hosts from a given text file
    """
    
    def __init__(self, filename):
        self.host_list = []
        try:
            f = file(filename, "rt")
            while 1:
                line = f.readline()
                if len(line) == 0:
                    break
                line = line.strip()
                if len(line) == 0 or line.find('#') == 0:
                    continue
                self.host_list.append(line)
        except:
            print "[error] while loading file " + filename

    def GetList(self):
        return self.host_list


