from m_Net import *
from m_Messeges import *
import sys


usage = \
"""python test_client <host> <port>
"""


class TestClient:

    def HandleGeneralError(self, sender, text):
        print "Error:", text
        self.Exit()
        sys.exit(1)
        
    def __init__(self, ip_addr, port):
        self.net = Net()
        self.remote_host = RemoteHost(self.net, ip_addr, port)
        self.remote_host.RegisterErrorHandler(self.HandleGeneralError)
        self.remote_host.Connect()
        
    def SendText(self, text):
        msg = TextMessege(text)
        self.remote_host.SendObject(msg)
    
    def Exit(self):
        self.remote_host.Disconnect()
        
        
if len(sys.argv) < 3:
    print usage
    sys.exit(1)

client = TestClient(sys.argv[1], int(sys.argv[2]))
print "Connected to server."
print "Type text, or 'quit' to quit."

while True:
    s = raw_input()
    if s == 'quit': break
    client.SendText(s)
    
client.Exit()

