"""
The scene is the core of the game.

This is where Entities (physical objects) live, and physical rules are 
applied to them.
The scene does not include player information such as how much ammo a player
has.
The scene is designed as a Model-View-Control pattern (MVC), at which we have
three modules: the Model, the View and the Control.
""" 


from m_Model import *
from m_View import SceneRep, Camera
from m_Control import *
from m_Resource import *


