from scene import *


class Flamingo(Entity):

    def __init__(self, res=None, level=None, prototype=None):
        Entity.__init__(self, res, level, prototype)
        

    def Clone(self):
        return Flamingo(prototype=self)    


    def CollideWithLand(self, x, y, side):
        Entity.CollideWithLand(self, x, y, side)
        
        if side != SIDE_TOP:
            self.vx = 0
        else:
            self.vy = 0
        if side == SIDE_BOTTOM and x != -1:
            self.vy = 0
            # set state to standing
            aim_state = self.state % 7
            dir_state = self.state / 14
            self.state = dir_state * 14 + aim_state


    def Advance(self, time):
        Entity.Advance(self, time)
        if self.x > self.level.GetWidth() - 20:
            self.x = self.level.GetWidth() - 21
            self.vx = 0
        flying_state = (self.state / 7) % 2
        if self.vy != 0 and flying_state == 0:
            self.state += 7
            
            
