from m_Multifile import Compiler
import os, sys


usage_txt = """
Usage: python composer.py <out-name> <file 1, [..., file N]>

This tool composes a single file from the given file list.
The output file can than be used with the Multifile class.

"""


if len(sys.argv) < 2:
    print usage_txt
    sys.exit()
    

c = Compiler()
c.Start(sys.argv[1])

for fname in sys.argv[2:]:
    c.WriteFile(fname)

c.Close()



